
textures/supersoldier/duck_flypoint
{
	qer_editorimage textures/supersoldier/duck_green_arrow.tga
//	q3map_surfacelight 10
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	deformVertexes autosprite2
	qer_trans 0.5
	cull none
	{
		map textures/supersoldier/duck_green_arrow.tga
		blendfunc gl_src_color gl_dst_color
		tcMod scroll 0 2.3
		alphaFunc GE128
	}
}


textures/supersoldier/tower_noimpactbricks2
{
	qer_editorimage textures/supersoldier/tower_noimpactbricks1.jpg
	surfaceparm nodamage
	{
		map textures/supersoldier/tower_noimpactbricks1.jpg
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
		tcGen lightmap
	}
}


//	q3map_sun 1 1 .9 50 300 75
//	q3map_sun 1 1 .8 75 15 80
//	q3map_sun 1 1 .9 100 40 75

// was 300 82

textures/supersoldier/duck_supersoldiersky
{
	qer_editorimage env/supersoldier/daysky_ft.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 0.95 0.85 0.9 200 40 82 0 4
	q3map_skylight 100 1
	skyparms env/supersoldier/daysky - -
}


textures/supersoldier/reflect_glass
{
	surfaceparm alphashadow
	surfaceparm nolightmap
	surfaceparm trans
	sort additive
	portal
	qer_trans 0.5
//	q3map_backshader textures/supersoldier/shiny_glass1

//	{
//		map textures/supersoldier/duck_transparent.tga
//		blendfunc filter
//	}

	{
		map textures/effects/tinfx.tga
		depthwrite
		tcGen environment
		blendfunc filter
	}
}



// no cull - 2 sided
textures/supersoldier/shiny_glass1
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow
	cull none

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}


// cull on - 1 side
textures/supersoldier/shiny_glass2
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow

	{
		map textures/supersoldier/window_glare.jpg
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/supersoldier/duck_greenmarble_floor
{
	qer_editorimage textures/supersoldier/will_marble_floor.tga


	{
		map textures/supersoldier/will_marble_floor.tga
		rgbgen identity
	}
	{
		map textures/supersoldier/will_marble_floor.tga
		tcmod scale .75 .75
		tcgen environment
		blendfunc gl_zero gl_src_color
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}


textures/supersoldier/water_glass1
{
	qer_editorimage textures/supersoldier/duck_pool2.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm alphashadow

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc gl_src_color gl_one
	}
	{
		map textures/supersoldier/duck_pool2.tga
		blendfunc add
		tcMod scroll .0.05 -0.3
	}
	{
		map textures/supersoldier/duck_pool2.tga
		blendfunc add
		tcMod scroll 0.05 -0.8
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}

//shader taken from realworld_light
textures/supersoldier/ceiling_light
{
	qer_editorimage textures/supersoldier/ceiling_light1.tga
	surfaceparm nolightmap

	q3map_lightimage textures/realworld_light/flouresc.tga
	q3map_surfacelight 1000

	{
		map textures/supersoldier/ceiling_light1.tga
	}
}



// white surface color light, still realworld light though
textures/supersoldier/flouresc_light
{
	qer_editorimage textures/supersoldier/ceiling_light1.tga
	surfaceparm nolightmap

	q3map_lightimage textures/realworld_light/flouresc.tga
	q3map_surfacelight 1000

	{
		map textures/supersoldier/white_light.jpg
		rgbGen identity
	}
}

// white surface color light, still realworld light though
textures/supersoldier/flouresc_light_nolight
{
	qer_editorimage textures/supersoldier/ceiling_light1.tga

	{
		map textures/supersoldier/ceiling_light1.tga
		rgbGen identity
	}
}


textures/supersoldier/portal_camera
{

	qer_editorimage textures/supersoldier/security_monitor.tga
	q3map_lightimage textures/supersoldier/ugly_green.jpg
	q3map_surfacelight 350
	portal
	surfaceparm nolightmap


	{
		map textures/supersoldier/ugly_green.jpg
		blendFunc filter
		depthWrite
	}

	{
		map textures/supersoldier/ugly_green.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen portal 256
		rgbGen identityLighting	
	}

	{
		map textures/supersoldier/security_monitor.tga
		blendfunc blend
	}
}


textures/supersoldier/dead_monitor
{

	qer_editorimage textures/supersoldier/security_monitor.tga
	q3map_surfacelight 350
//	surfaceparm nolightmap

	{
		map textures/supersoldier/ugly_green.jpg
		rgbgen identity
	}
	{
		map textures/supersoldier/static.tga
		tcmod rotate 180
		blendfunc filter
	}
	{
		map textures/supersoldier/static.tga
		tcmod scroll -2 -2
		blendfunc add
	}
	{
		map textures/supersoldier/security_monitor.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}



textures/supersoldier/stoplight_red
{
	qer_editorimage textures/supersoldier/streetlight_red.tga
	surfaceparm nolightmap

	{
		map textures/supersoldier/streetlight_red.tga
		rgbgen identity
	}
}

textures/supersoldier/stoplight_red_dim
{
	qer_editorimage textures/supersoldier/streetlight_red.tga

	{
		map textures/supersoldier/streetlight_red.tga
		rgbgen identity
	}

	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}

}


textures/supersoldier/stoplight_green
{
	qer_editorimage textures/supersoldier/streetlight_green.tga
	surfaceparm nolightmap

	{
		map textures/supersoldier/streetlight_green.tga
		rgbgen identity
	}
}


textures/supersoldier/stoplight_green_dim
{
	qer_editorimage textures/supersoldier/streetlight_green.tga

	{
		map textures/supersoldier/streetlight_green.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}

}


textures/supersoldier/stoplight_yellow
{
	qer_editorimage textures/supersoldier/streetlight_yellow.tga
	surfaceparm nolightmap

	{
		map textures/supersoldier/streetlight_yellow.tga
		rgbgen identity
	}
}


textures/supersoldier/stoplight_yellow_dim
{
	qer_editorimage textures/supersoldier/streetlight_yellow.tga

	{
		map textures/supersoldier/streetlight_yellow.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}

}




textures/supersoldier/blue_water1
{
	qer_editorimage textures/supersoldier/blue_water1.tga
	surfaceparm water
	qer_nocarve
	qer_trans 0.3
	surfaceparm noimpact
	cull none
	{
		map textures/supersoldier/blue_water1.tga
		blendfunc add
		tcmod turb 0 1 0 .1
	}
}


textures/supersoldier/white_light_bright
{
	qer_editorimage textures/supersoldier/white_light.jpg
	q3map_surfacelight 5000
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/supersoldier/white_light.jpg
		rgbGen identity
	}
}



textures/supersoldier/duck_noimpact
{
	qer_editorimage textures/common/nolightmap.tga
        surfaceparm nodamage
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm nonsolid
}


textures/supersoldier/doom_glass
{
	qer_editorimage textures/supersoldier/duck_skybuildingtop1.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm alphashadow
	qer_trans 0.7
	{
		map textures/supersoldier/duck_skybuildingtop1.tga
		blendfunc gl_src_color gl_src_color

	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}


textures/supersoldier/doom_glass2
{
	qer_editorimage textures/supersoldier/duck_skybuildingtop1.tga
	surfaceparm nodamage
	surfaceparm trans
	surfaceparm alphashadow
	qer_trans 0.8
	{
		map textures/supersoldier/duck_skybuildingtop1.tga
		blendfunc add
	}
	{
		map $lightmap 
		blendfunc filter
	}
}


textures/supersoldier/asphalt
{
	qer_editorimage textures/supersoldier/asphalt1.jpg

	{
		map textures/supersoldier/asphalt1.jpg
	}

	{
		map $lightmap 
		blendfunc filter
	}

}




textures/supersoldier/buldembassytower
{
	qer_editorimage textures/supersoldier/buldembassytower1.jpg

	{
		map textures/supersoldier/buldembassytower1.jpg
	}

	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}

}


textures/supersoldier/building2_tex
{
	qer_editorimage textures/supersoldier/building2_tex1.tga

	{
		map textures/supersoldier/building2_tex1.tga
	}

	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}

}



textures/supersoldier/doom_glass_notrans
{
	qer_editorimage textures/supersoldier/duck_skybuildingtop1.tga
	{
		map textures/supersoldier/duck_skybuildingtop1.tga
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}





// waves removed

// REGLOW SHADER
// Apply me to brush face! Reglow_assist shader handles the reverse surface.

textures/supersoldier/supersoldier_water_reglow
{

	qer_editorimage textures/supersoldier/blue_water1.tga
	qer_trans 0.5
	surfaceparm trans
	q3map_cloneshader textures/supersoldier/supersoldier_water_reglow_assist
	{
		map textures/supersoldier/blue_water1b.tga
		tcMod scroll 0.01 0.1
		blendfunc filter
	}
	{
		map textures/supersoldier/blue_water1c.tga
		tcMod turb 0 0.1 0.05 0.05
		blendfunc filter
	}
        {
		map textures/supersoldier/water_clouds.jpg
		tcmod scroll .001 .005
		tcgen environment
		blendfunc add
        }
	{
		map $lightmap 
		blendfunc filter
	}

}

// I reverse to become the inverted face. Go reglow! -wily_duck
textures/supersoldier/supersoldier_water_reglow_assist
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_lightimage textures/supersoldier/blue_water1b.tga
	q3map_surfacelight 1000
	q3map_invert
	{
		map textures/supersoldier/blue_water1b.tga
		tcMod scroll 0.01 0.1
		blendfunc gl_dst_color gl_src_color
	}
	{
		map textures/supersoldier/blue_water1b.tga
		tcMod turb 0 0.5 0.05 0.05
		blendfunc add
	}
	{
		map $lightmap 
		blendfunc filter
	}

}




// waves
textures/supersoldier/supersoldier_water_reglow2
{

	qer_editorimage textures/supersoldier/blue_water1.tga
	qer_trans 0.5
	surfaceparm trans
	q3map_cloneshader textures/supersoldier/supersoldier_water_reglow_assist2
	deformvertexes wave 1024 sin 0 1 0 .75
	tesssize 1024
	{
		map textures/supersoldier/blue_water1b.tga
		tcgen environment
		tcMod scroll 0.01 0.1
		blendfunc add
	}
	{
		map textures/supersoldier/blue_water1c.tga
		tcMod turb 0 0.1 0.05 0.05
		blendfunc filter
	}
        {
		map textures/supersoldier/water_clouds.jpg
		tcgen environment
		tcmod scroll .001 .005
		blendfunc add
        }
	{
		map $lightmap 
		blendfunc filter
	}

}


// waves
textures/supersoldier/supersoldier_water_reglow_assist2
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_lightimage textures/supersoldier/blue_water1b.tga
	q3map_surfacelight 1000
	q3map_invert
	{
		map textures/supersoldier/blue_water1b.tga
		tcMod scroll 0.01 0.1
		blendfunc filter
	}
	{
		map textures/supersoldier/blue_water1c.tga
		tcMod turb 0 0.1 0.05 0.05
		blendfunc filter
	}
        {
		map textures/supersoldier/water_clouds.jpg
		tcgen environment
		tcmod scale 4 4
		tcmod scroll .001 .005
		blendfunc add
        }
	{
		map $lightmap 
		blendfunc filter
	}

}




textures/supersoldier/yellow_streetbox
{
	qer_editorimage textures/supersoldier/streetlight_box.tga
	cull none

	{
		map textures/supersoldier/streetlight_box.tga
		rgbgen identity
	}

	{
		map $lightmap
		blendfunc filter
	}

}



textures/supersoldier/sign_mainst
{
	qer_editorimage textures/supersoldier/mainst1.jpg
	surfaceparm nolightmap
	{
		map textures/supersoldier/mainst1.jpg
	}
}


textures/supersoldier/sign_irwinave
{
	qer_editorimage textures/supersoldier/irwinave1.jpg
	surfaceparm nolightmap

	{
		map textures/supersoldier/irwinave1.jpg
	}


}



textures/supersoldier/sign_smithst
{
	qer_editorimage textures/supersoldier/smithst1.jpg
	surfaceparm nolightmap

	{
		map textures/supersoldier/smithst1.jpg
	}


}



textures/supersoldier/sign_andersonave
{
	qer_editorimage textures/supersoldier/andersonave1.jpg
	surfaceparm nolightmap

	{
		map textures/supersoldier/andersonave1.jpg
	}


}


textures/supersoldier/duckpond_poster
{
	qer_editorimage textures/supersoldier/wily_duck_ad.tga
	surfaceparm nolightmap
	surfaceparm nomarks
//	nomipmap
	{
		map textures/supersoldier/wily_duck_ad.tga
	}
}




textures/supersoldier/blue_water1
{
	qer_editorimage textures/supersoldier/blue_water1.tga
	surfaceparm water
	qer_nocarve
	qer_trans 0.3
	surfaceparm noimpact
	cull none
	{
		map textures/supersoldier/blue_water1.tga
		blendfunc add
		tcmod turb 0 1 0 .1
	}
}


textures/supersoldier/white_light
{
	qer_editorimage textures/supersoldier/white_light.jpg
	q3map_surfacelight 5000
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/supersoldier/white_light.jpg
		rgbGen identity
	}
}



textures/supersoldier/funmap_watercaulk
{
qer_trans 0.25
qer_editorimage textures/urban_terror/watercaulk.tga
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans
surfaceparm nomarks
surfaceparm water
surfaceparm nocarve

}



textures/supersoldier/metalfence
{
	qer_trans 0.70
	qer_editorimage textures/supersoldier/fence.tga
	surfaceparm trans
	cull none

	{
		map textures/supersoldier/fence.tga
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}


}



models/mapobjects/defcon_tree/tree2
{
	qer_trans 0.70
	qer_editorimage models/mapobjects/defcon_tree/tree2.tga
	cull none

	{
		map models/mapobjects/defcon_tree/tree2.tga
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
	}
}




textures/supersoldier/brushmetal_under
{
	qer_editorimage textures/supersoldier/diagbrushmetal2.tga
//	surfaceparm nolightmap
	{
		map textures/supersoldier/diagbrushmetal2.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}


textures/supersoldier/brushmetal_over
{
	qer_editorimage textures/supersoldier/diagbrushmetal2.tga
	surfaceparm trans
	{
		map textures/supersoldier/diagbrushmetal2.tga
		blendfunc gl_dst_color gl_dst_color
	}
	{
		map textures/supersoldier/cow_marble.tga
		tcGen environment
		blendfunc gl_dst_color gl_zero
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
	}

}

